com.amazon.redshift.util

## Class RedshiftGeometry

- java.lang.Object
- - com.amazon.redshift.util.RedshiftGeometry

    public class RedshiftGeometry
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`RedshiftGeometry()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `convertToString(byte[] data)`
`static byte[]` `transformEWKTFormat(byte[] bytes, int beginIndex, int length)` Helper method to turn input EWKT into binary format

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RedshiftGeometry

    public RedshiftGeometry()

### Method Detail

#### transformEWKTFormat

    public static byte[] transformEWKTFormat(byte[] bytes,
                                             int beginIndex,
                                             int length)

Helper method to turn input EWKT into binary format

Parameters:
  `bytes` - The input data.
  `beginIndex` - The starting index.
  `length` - The number of characters to consume.
Returns:
  transformed byte array

#### convertToString

    public static String convertToString(byte[] data)